import pandas as pd
import matplotlib.pyplot as plt

df = pd.read_csv('res.csv')
plt.figure(figsize=(7,4))
plt.scatter(df['H_A_per_m'], df['B_T'], marker='o')
plt.title('B(H)')
plt.xlabel('H, A/m')
plt.ylabel('B, T')
plt.grid(True)
plt.tight_layout()
plt.savefig('B(H).png', bbox_inches="tight", dpi=300)
plt.show()
plt.figure(figsize=(7,4))
plt.scatter(df['H_A_per_m'], df['mu'], marker='o')
plt.title('mu(H)')
plt.xlabel('H, A/m')
plt.ylabel('mu')
plt.grid(True)
plt.tight_layout()
plt.savefig('mu(H).png', bbox_inches="tight", dpi=300)
plt.show()

